(defpackage :lep-system
  (:use :cl :asdf))
(in-package :lep-system)

(defsystem :lep
    :components ((:file "package")
		 (:file "misc" :depends-on ("package"))
		 (:file "lep" :depends-on ("misc" "sb-thread" "workarounds"))
		 (:file "workarounds" :depends-on ("misc"))
		 (:file "sb-thread" :depends-on ("misc"))))

(require :sb-simple-streams)
(require :sb-bsd-sockets)
(require :sb-introspect)
#-sb-thread (error "sb-threads required")
